{{page-title @model.iconSet.name " | " (t "edit-label")}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::SideBar class="order-last flex-shrink-1">
      <Manage::Visibility
        @model={{@model.iconSet}}
        @teams={{@model.teams}}
        @hasIsDefault={{true}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @isAdmin={{this.user.isAdmin}}
        @areAllShowing={{this.allTeams}}
        @onChangeAll={{this.changeAll}}
        @saveIsPublic={{this.saveIsPublic}}
        @saveIsDefault={{this.saveIsDefault}}
        @saveTeam={{this.saveTeam}}
        @onEdit={{this.edit}}
        @onCancel={{this.cancel}}
      />
    </Manage::SideBar>

    <Manage::Container @title={{capitalize (t "edit icon set")}} @breadcrumbs={{this.breadcrumbs}}>
      <:content>
        <Manage::Row @name="article">
          <Manage::Article
            @title={{t "name and description"}}
            @editablePanel={{this.editableField}}
            @value={{@model.iconSet.contentBlocks}}
            @onSave={{this.saveArticle}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}}
            @onPictureUpload={{this.onPictureUpload}}
          />
        </Manage::Row>

        <Manage::Row @name="cover-photo">
          <h2 class="capitalize-first-letter title">
            {{t "cover photo"}}
          </h2>

          <div class="form-group mt-2">
            <Input::PictureAuto @model="IconSet" @modelId={{@model.iconSet.id}} @value={{@model.iconSet.cover}} @save={{this.saveCover}} />
          </div>
        </Manage::Row>

        <Manage::Row @name="icon-set-style">
          <Manage::IconSetStyle @editablePanel={{this.editableField}} @savingPanel={{this.savingField}} @value={{@model.iconSet.styles}} @onCancel={{this.cancel}} @onEdit={{this.edit}} @onSave={{this.saveStyle}} />
        </Manage::Row>
      </:content>
    </Manage::Container>
  </div>
{{/if}}